Mailinglist Archive: opensuse-updates (120 mails)

< Previous Next >
openSUSE-SU-2016:0188-1: moderate: Security update for libxml2
openSUSE Security Update: Security update for libxml2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:0188-1
Rating: moderate
References: #960674
Cross-References: CVE-2015-8710
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update for libxml2 fixes the following security issue:

- CVE-2015-8710: Parsing short unclosed HTML comment could cause
uninitialized memory access, which allowed remote attackers to read
contents from previous HTTP requests depending on the application
(bsc#960674)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-68=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

libxml2-2-2.9.1-13.1
libxml2-2-debuginfo-2.9.1-13.1
libxml2-debugsource-2.9.1-13.1
libxml2-devel-2.9.1-13.1
libxml2-tools-2.9.1-13.1
libxml2-tools-debuginfo-2.9.1-13.1
python-libxml2-2.9.1-13.1
python-libxml2-debuginfo-2.9.1-13.1
python-libxml2-debugsource-2.9.1-13.1

- openSUSE Leap 42.1 (x86_64):

libxml2-2-32bit-2.9.1-13.1
libxml2-2-debuginfo-32bit-2.9.1-13.1
libxml2-devel-32bit-2.9.1-13.1

- openSUSE Leap 42.1 (noarch):

libxml2-doc-2.9.1-13.1


References:

https://www.suse.com/security/cve/CVE-2015-8710.html
https://bugzilla.suse.com/960674


< Previous Next >
This Thread
  • No further messages